Loading...
Searching...
No Matches
CompositionFromFugacities.hpp File Reference

Calculates the chemical equilibrium from the component fugacities in a phase. More...

`#include <opm/common/Exceptions.hpp>`
`#include <opm/material/common/MathToolbox.hpp>`
`#include <opm/material/common/Valgrind.hpp>`
`#include <dune/common/fvector.hh>`
`#include <dune/common/fmatrix.hh>`
`#include <cassert>`
`#include <limits>`
`#include <string_view>`

Go to the source code of this file.

## Classes

class | Opm::CompositionFromFugacities< Scalar, FluidSystem, Evaluation >
| Calculates the chemical equilibrium from the component fugacities in a phase. More...

## Namespaces

namespace | Opm
| This class implements a small container which holds the transmissibility mulitpliers for all the faces in the grid.

## Detailed Description

Calculates the chemical equilibrium from the component fugacities in a phase.